# tells filebeat to get notifications from the SQS queue
# each message will point to a S3 file that contains the logs to process
filebeat.inputs:
- type: s3
  queue_url: ${QUEUE_URL}

output:
  logstash:
    hosts: ["${LOGSTASH_HOST}"]
    bulk_max_size: ${LOGSTASH_BULK_MAX_SIZE:1024}
    timeout: ${LOGSTASH_TIMEOUT:30}
    slow_start: ${LOGSTASH_SLOW_START:false}
